> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/report-data/logging/instabug-logging.md).

# Luciq Logging

Luciq logging functions very similarly to normal logging with the added benefits of having different verbosity levels. These can be filtered on the [Luciq dashboard](https://dashboard.luciq.ai/).

The available verbosity levels are:

* Log
* Verbose
* Info
* Warning
* Debug
* Error

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
LCQLog.log("Log statement")
LCQLog.logVerbose("Verbose statement")
LCQLog.logInfo("Info statement")
LCQLog.logWarn("Warning statement")
LCQLog.logDebug("Debug statement")
LCQLog.logError("Error statement")
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQLog(@"Log message");
LCQLogVerbose(@"Verbose log message");
LCQLogDebug(@"Debug log message");
LCQLogInfo(@"Info log message");
LCQLogWarn(@"Warn log message");
LCQLogError(@"Error log message");
```

{% endtab %}

{% tab title="And - Java" %}

```java
LuciqLog.d("Message to log");
LuciqLog.v("Message to log");
LuciqLog.i("Message to log");
LuciqLog.e("Message to log");
LuciqLog.w("Message to log");
LuciqLog.wtf("Message to log");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
LuciqLog.d("Message to log")
LuciqLog.v("Message to log")
LuciqLog.i("Message to log")
LuciqLog.e("Message to log")
LuciqLog.w("Message to log")
LuciqLog.wtf("Message to log")
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.logVerbose("Message to log")
Luciq.logInfo("Message to log")
Luciq.logDebug("Message to log")
Luciq.logError("Message to log")
Luciq.logWarn("Message to log")
```

{% endtab %}

{% tab title="Flutter" %}

```dart
LuciqLog.logVerbose("Message to log")
LuciqLog.logInfo("Message to log")
LuciqLog.logDebug("Message to log")
LuciqLog.logError("Message to log")
LuciqLog.logWarn("Message to log")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/report-data/logging/instabug-logging.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
